Index: squid/ntlm_auth_modules/NTLMSSP/smbval/smblib.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/smblib.h,v
retrieving revision 1.1.2.1.2.3
retrieving revision 1.1.2.1.2.4
diff -u -r1.1.2.1.2.3 -r1.1.2.1.2.4
--- squid/ntlm_auth_modules/NTLMSSP/smbval/smblib.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.3
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/smblib.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.4
@@ -1,27 +1,27 @@
 /* UNIX SMBlib NetBIOS implementation
-
-   Version 1.0
-   SMBlib Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * SMBlib Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #include "std-defines.h"
 #include "smblib-common.h"
@@ -39,8 +39,8 @@
 /* Connect to a server and give us back a handle. If Con == NULL, create */
 /* The handle and populate it with defaults                              */
 
-void *SMB_Connect(void *Con, void **tree, 
-		  char *name, char *User, char *Password);
+void *SMB_Connect(void *Con, void **tree,
+    char *name, char *User, char *Password);
 
 /* Negotiate a protocol                                                  */
 
@@ -48,8 +48,8 @@
 
 /* Connect to a tree ...                                                 */
 
-void *SMB_TreeConnect(void *con_handle, void *tree_handle, 
-		      char *path, char *password, char *dev);
+void *SMB_TreeConnect(void *con_handle, void *tree_handle,
+    char *path, char *password, char *dev);
 
 /* Disconnect a tree ...                                                 */
 
@@ -58,10 +58,10 @@
 /* Open a file                                                           */
 
 void *SMB_Open(void *tree_handle,
-	       void *file_handle,
-	       char *file_name,
-	       unsigned short mode,
-	       unsigned short search); 
+    void *file_handle,
+    char *file_name,
+    unsigned short mode,
+    unsigned short search);
 
 /* Close a file                                                          */
 
@@ -73,9 +73,9 @@
 int SMB_Discon(void *Con, BOOL KeepHandle);
 
 void *SMB_Create(void *Tree_Handle,
-	       void *File_Handle, 
-	       char *file_name, 
-  	       short search);
+    void *File_Handle,
+    char *file_name,
+    short search);
 
 int SMB_Delete(void *tree, char *file_name, short search);
 
@@ -92,7 +92,7 @@
 int SMB_Get_Error_Msg(int msg, char *msgbuf, int len);
 
 void *SMB_Logon_And_TCon(void *con, void *tree, char *user, char *pass,
-			 char *service, char *st);
+    char *service, char *st);
 
 
 #define SMBLIB_DEFAULT_DOMAIN "anydom"
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/std-defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/std-defines.h,v
retrieving revision 1.1.2.3.2.2
retrieving revision 1.1.2.3.2.3
diff -u -r1.1.2.3.2.2 -r1.1.2.3.2.3
--- squid/ntlm_auth_modules/NTLMSSP/smbval/std-defines.h	7 Jan 2001 02:49:32 -0000	1.1.2.3.2.2
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/std-defines.h	7 Jan 2001 09:48:29 -0000	1.1.2.3.2.3
@@ -3,28 +3,28 @@
 
 /* RFCNB Standard includes ... */
 /*
-
-   SMBlib Standard Includes
-
-   Copyright (C) 1996, Richard Sharpe
-
-   One day we will conditionalize these on OS types ... */
+ * 
+ * SMBlib Standard Includes
+ * 
+ * Copyright (C) 1996, Richard Sharpe
+ * 
+ * One day we will conditionalize these on OS types ... */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #define BOOL int
 typedef short int16;
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/std-includes.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/std-includes.h,v
retrieving revision 1.1.2.1.2.2
retrieving revision 1.1.2.1.2.3
diff -u -r1.1.2.1.2.2 -r1.1.2.1.2.3
--- squid/ntlm_auth_modules/NTLMSSP/smbval/std-includes.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.2
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/std-includes.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.3
@@ -1,27 +1,27 @@
 /* RFCNB Standard includes ... */
 /*
-
-   RFCNB Standard Includes
-
-   Copyright (C) 1996, Richard Sharpe
-
- One day we will conditionalize these on OS types ... */
+ * 
+ * RFCNB Standard Includes
+ * 
+ * Copyright (C) 1996, Richard Sharpe
+ * 
+ * One day we will conditionalize these on OS types ... */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #define BOOL int
 typedef short int16;
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/valid.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/valid.c,v
retrieving revision 1.1.2.1.2.3
retrieving revision 1.1.2.1.2.4
diff -u -r1.1.2.1.2.3 -r1.1.2.1.2.4
--- squid/ntlm_auth_modules/NTLMSSP/smbval/valid.c	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.3
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/valid.c	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.4
@@ -6,99 +6,100 @@
 
 SMB_Handle_Type SMB_Connect_Server(void *, char *, char *);
 
-int Valid_User(char *USERNAME,char *PASSWORD,char *SERVER,char *BACKUP, char *DOMAIN)
+int 
+Valid_User(char *USERNAME, char *PASSWORD, char *SERVER, char *BACKUP, char *DOMAIN)
 {
-	int pass_is_precrypted_p=0;
-  char *SMB_Prots[] = {
-/* 		"PC NETWORK PROGRAM 1.0", */
-/* 		"MICROSOFT NETWORKS 1.03", */
-/* 		"MICROSOFT NETWORKS 3.0", */
-		"LANMAN1.0",
-		"LM1.2X002",
-		"Samba",
-/* 		"NT LM 0.12", */
-/* 		"NT LANMAN 1.0", */
-		NULL};
-  SMB_Handle_Type con;
-
-  SMB_Init();
-  con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
-  if (con == NULL) { /* Error ... */
-   con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
-   if (con == NULL) {
-   	return(NTV_SERVER_ERROR);   
-   }
-  }
-  if (SMB_Negotiate(con, SMB_Prots) < 0) { /* An error */
-    SMB_Discon(con,0);
-    return(NTV_PROTOCOL_ERROR);
-  }
-  /* Test for a server in share level mode do not authenticate against it */
-  if (con -> Security == 0)
+    int pass_is_precrypted_p = 0;
+    char *SMB_Prots[] =
     {
-      SMB_Discon(con,0);
-      return(NTV_PROTOCOL_ERROR);
+/*              "PC NETWORK PROGRAM 1.0", */
+/*              "MICROSOFT NETWORKS 1.03", */
+/*              "MICROSOFT NETWORKS 3.0", */
+	"LANMAN1.0",
+	"LM1.2X002",
+	"Samba",
+/*              "NT LM 0.12", */
+/*              "NT LANMAN 1.0", */
+	NULL};
+    SMB_Handle_Type con;
+
+    SMB_Init();
+    con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
+    if (con == NULL) {		/* Error ... */
+	con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
+	if (con == NULL) {
+	    return (NTV_SERVER_ERROR);
+	}
     }
-
-  if (SMB_Logon_Server(con, USERNAME, PASSWORD, DOMAIN, pass_is_precrypted_p) < 0) {
-    SMB_Discon(con,0);
-    return(NTV_LOGON_ERROR);
-  }
-  
-  SMB_Discon(con,0);
-  return(NTV_NO_ERROR);
+    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+	SMB_Discon(con, 0);
+	return (NTV_PROTOCOL_ERROR);
+    }
+    /* Test for a server in share level mode do not authenticate against it */
+    if (con->Security == 0) {
+	SMB_Discon(con, 0);
+	return (NTV_PROTOCOL_ERROR);
+    }
+    if (SMB_Logon_Server(con, USERNAME, PASSWORD, DOMAIN, pass_is_precrypted_p) < 0) {
+	SMB_Discon(con, 0);
+	return (NTV_LOGON_ERROR);
+    }
+    SMB_Discon(con, 0);
+    return (NTV_NO_ERROR);
 }
 
-void *NTLM_Connect(char *SERVER,char *BACKUP, char *DOMAIN, char *nonce)
+void *
+NTLM_Connect(char *SERVER, char *BACKUP, char *DOMAIN, char *nonce)
 {
-  char *SMB_Prots[] = {
-/* 		"PC NETWORK PROGRAM 1.0", */
-/* 		"MICROSOFT NETWORKS 1.03", */
-/* 		"MICROSOFT NETWORKS 3.0", */
-		"LANMAN1.0",
-		"LM1.2X002",
-		"Samba",
-/* 		"NT LM 0.12", */
-/* 		"NT LANMAN 1.0", */
-		NULL};
-  SMB_Handle_Type con;
-
-  SMB_Init();
-  con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
-  if (con == NULL) { /* Error ... */
-   con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
-   if (con == NULL) {
-   	return(NULL);
-   }
-  }
-  if (SMB_Negotiate(con, SMB_Prots) < 0) { /* An error */
-    SMB_Discon(con,0);
-    return(NULL);
-  }
-  /* Test for a server in share level mode do not authenticate against it */
-  if (con -> Security == 0)
+    char *SMB_Prots[] =
     {
-      SMB_Discon(con,0);
-      return(NULL);
+/*              "PC NETWORK PROGRAM 1.0", */
+/*              "MICROSOFT NETWORKS 1.03", */
+/*              "MICROSOFT NETWORKS 3.0", */
+	"LANMAN1.0",
+	"LM1.2X002",
+	"Samba",
+/*              "NT LM 0.12", */
+/*              "NT LANMAN 1.0", */
+	NULL};
+    SMB_Handle_Type con;
+
+    SMB_Init();
+    con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
+    if (con == NULL) {		/* Error ... */
+	con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
+	if (con == NULL) {
+	    return (NULL);
+	}
     }
+    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+	SMB_Discon(con, 0);
+	return (NULL);
+    }
+    /* Test for a server in share level mode do not authenticate against it */
+    if (con->Security == 0) {
+	SMB_Discon(con, 0);
+	return (NULL);
+    }
+    memcpy(nonce, con->Encrypt_Key, 8);
 
-  memcpy(nonce, con -> Encrypt_Key, 8);
-     
-  return (con);
+    return (con);
 }
 
-int NTLM_Auth(void *handle, char *USERNAME,char *PASSWORD,int flag)
+int 
+NTLM_Auth(void *handle, char *USERNAME, char *PASSWORD, int flag)
 {
-  SMB_Handle_Type con = handle;
+    SMB_Handle_Type con = handle;
 
-  if (SMB_Logon_Server(con, USERNAME, PASSWORD, NULL, flag) < 0) {
-    return(NTV_LOGON_ERROR);
-  }
-  return(NTV_NO_ERROR);
+    if (SMB_Logon_Server(con, USERNAME, PASSWORD, NULL, flag) < 0) {
+	return (NTV_LOGON_ERROR);
+    }
+    return (NTV_NO_ERROR);
 }
 
-void NTLM_Disconnect(void *handle)
+void 
+NTLM_Disconnect(void *handle)
 {
-  SMB_Handle_Type con = handle;
-  SMB_Discon(con,0);
+    SMB_Handle_Type con = handle;
+    SMB_Discon(con, 0);
 }
Index: squid/ntlm_auth_modules/fakeauth/fakeauth_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/fakeauth/Attic/fakeauth_auth.c,v
retrieving revision 1.1.2.6.2.7
retrieving revision 1.1.2.6.2.8
diff -u -r1.1.2.6.2.7 -r1.1.2.6.2.8
--- squid/ntlm_auth_modules/fakeauth/fakeauth_auth.c	7 Jan 2001 02:49:32 -0000	1.1.2.6.2.7
+++ squid/ntlm_auth_modules/fakeauth/fakeauth_auth.c	7 Jan 2001 09:48:29 -0000	1.1.2.6.2.8
@@ -51,13 +51,12 @@
 
 /* makes a null-terminated string lower-case. Changes CONTENTS! */
 static void
-lc (char *string)
+lc(char *string)
 {
-  char *p = string, c;
-  while ((c = *p))
-    {
-      *p = tolower (c);
-      p++;
+    char *p = string, c;
+    while ((c = *p)) {
+	*p = tolower(c);
+	p++;
     }
 }
 
@@ -67,45 +66,44 @@
  * challenge strings can be guarenteed to be poor at best.
  */
 void
-ntlmMakeChallenge (struct ntlm_challenge *chal)
+ntlmMakeChallenge(struct ntlm_challenge *chal)
 {
 #ifndef NTLM_STATIC_CHALLENGE
-  static unsigned hash;
-  int r;
+    static unsigned hash;
+    int r;
 #endif
-  char *d;
-  int i;
+    char *d;
+    int i;
 
-  memset (chal, 0, sizeof (*chal));
-  memcpy (chal->hdr.signature, "NTLMSSP", 8);
-  chal->flags = WSWAP (0x00018206);
-  chal->hdr.type = WSWAP (NTLM_CHALLENGE);
-  chal->unknown[6] = SSWAP (0x003a);
+    memset(chal, 0, sizeof(*chal));
+    memcpy(chal->hdr.signature, "NTLMSSP", 8);
+    chal->flags = WSWAP(0x00018206);
+    chal->hdr.type = WSWAP(NTLM_CHALLENGE);
+    chal->unknown[6] = SSWAP(0x003a);
 
-  d = (char *) chal + 48;
-  i = 0;
+    d = (char *) chal + 48;
+    i = 0;
 
-  if (authenticate_ntlm_domain != NULL)
-    while (authenticate_ntlm_domain[i++]);
+    if (authenticate_ntlm_domain != NULL)
+	while (authenticate_ntlm_domain[i++]);
 
 
-  chal->target.offset = WSWAP (48);
-  chal->target.maxlen = SSWAP (i);
-  chal->target.len = chal->target.maxlen;
+    chal->target.offset = WSWAP(48);
+    chal->target.maxlen = SSWAP(i);
+    chal->target.len = chal->target.maxlen;
 
 #ifdef NTLM_STATIC_CHALLENGE
-  memcpy (chal->challenge, NTLM_STATIC_CHALLENGE, 8);
+    memcpy(chal->challenge, NTLM_STATIC_CHALLENGE, 8);
 #else
-  r = (int) rand ();
-  r = (hash ^ r) + r;
+    r = (int) rand();
+    r = (hash ^ r) + r;
 
-  for (i = 0; i < 8; i++)
-    {
-      chal->challenge[i] = r;
-      r = (r >> 2) ^ r;
+    for (i = 0; i < 8; i++) {
+	chal->challenge[i] = r;
+	r = (r >> 2) ^ r;
     }
 
-  hash = r;
+    hash = r;
 #endif
 }
 
@@ -113,230 +111,200 @@
  * Check the vailidity of a request header. Return -1 on error.
  */
 int
-ntlmCheckHeader (struct ntlmhdr *hdr, int type)
+ntlmCheckHeader(struct ntlmhdr *hdr, int type)
 {
-  /* 
-   * Must be the correct security package and request type. The
-   * 8 bytes compared includes the ASCII 'NUL'. 
-   */
-  if (memcmp (hdr->signature, "NTLMSSP", 8) != 0)
-    {
-      fprintf (stderr, "ntlmCheckHeader: bad header signature\n");
-      return (-1);
+    /* 
+     * Must be the correct security package and request type. The
+     * 8 bytes compared includes the ASCII 'NUL'. 
+     */
+    if (memcmp(hdr->signature, "NTLMSSP", 8) != 0) {
+	fprintf(stderr, "ntlmCheckHeader: bad header signature\n");
+	return (-1);
     }
+    if (type == NTLM_ANY)
+	return 0;
 
-  if (type == NTLM_ANY)
-    return 0;
-
-  if (WSWAP (hdr->type) != type)
-    {
+    if (WSWAP(hdr->type) != type) {
 /* don't report this error - it's ok as we do a if() around this function */
 //      fprintf(stderr, "ntlmCheckHeader: type is %d, wanted %d\n",
-//          WSWAP(hdr->type), type);
-      return (-1);
+	//          WSWAP(hdr->type), type);
+	return (-1);
     }
-
-  return (0);
+    return (0);
 }
 
 /*
  * Extract a string from an NTLM request and return as ASCII.
  */
 char *
-ntlmGetString (ntlmhdr * hdr, strhdr * str, int flags)
+ntlmGetString(ntlmhdr * hdr, strhdr * str, int flags)
 {
-  static char buf[512];
-  u_short *s, c;
-  char *d, *sc;
-  int l, o;
-
-  l = SSWAP (str->len);
-  o = WSWAP (str->offset);
-
-  /* Sanity checks. XXX values arbitrarialy chosen */
-  if (l <= 0 || l >= 32 || o >= 256)
-    {
-      fprintf (stderr, "ntlmGetString: insane: l:%d o:%d\n", l, o);
-      return (NULL);
+    static char buf[512];
+    u_short *s, c;
+    char *d, *sc;
+    int l, o;
+
+    l = SSWAP(str->len);
+    o = WSWAP(str->offset);
+
+    /* Sanity checks. XXX values arbitrarialy chosen */
+    if (l <= 0 || l >= 32 || o >= 256) {
+	fprintf(stderr, "ntlmGetString: insane: l:%d o:%d\n", l, o);
+	return (NULL);
     }
-
-  if ((flags & 2) == 0)
-    {
-      /* UNICODE string */
-      s = (u_short *) ((char *) hdr + o);
-      d = buf;
-
-      for (l >>= 1; l; s++, l--)
-	{
-	  c = SSWAP (*s);
-	  if (c > 254 || c == '\0' || !isprint (c))
-	    {
-	      fprintf (stderr, "ntlmGetString: bad uni: %04x\n", c);
-	      return (NULL);
+    if ((flags & 2) == 0) {
+	/* UNICODE string */
+	s = (u_short *) ((char *) hdr + o);
+	d = buf;
+
+	for (l >>= 1; l; s++, l--) {
+	    c = SSWAP(*s);
+	    if (c > 254 || c == '\0' || !isprint(c)) {
+		fprintf(stderr, "ntlmGetString: bad uni: %04x\n", c);
+		return (NULL);
 	    }
-	  *d++ = c;
-	  fprintf (stderr, "ntlmGetString: conv: '%c'\n", c);
+	    *d++ = c;
+	    fprintf(stderr, "ntlmGetString: conv: '%c'\n", c);
 	}
 
-      *d = 0;
-    }
-  else
-    {
-      /* ASCII string */
-      sc = (char *) hdr + o;
-      d = buf;
-
-      for (; l; l--)
-	{
-	  if (*sc == '\0' || !isprint (*sc))
-	    {
-	      fprintf (stderr, "ntlmGetString: bad ascii: %04x\n", *sc);
-	      return (NULL);
+	*d = 0;
+    } else {
+	/* ASCII string */
+	sc = (char *) hdr + o;
+	d = buf;
+
+	for (; l; l--) {
+	    if (*sc == '\0' || !isprint(*sc)) {
+		fprintf(stderr, "ntlmGetString: bad ascii: %04x\n", *sc);
+		return (NULL);
 	    }
-	  *d++ = *sc++;
+	    *d++ = *sc++;
 	}
 
-      *d = 0;
+	*d = 0;
     }
 
-  return (buf);
+    return (buf);
 }
 
 /*
  * Decode the strings in an NTLM authentication request
  */
 int
-ntlmDecodeAuth (struct ntlm_authenticate *auth, char *buf, size_t size)
+ntlmDecodeAuth(struct ntlm_authenticate *auth, char *buf, size_t size)
 {
-  char *p, *origbuf;
-  int s;
+    char *p, *origbuf;
+    int s;
 
-  if (!buf)
-    {
-      return 1;
+    if (!buf) {
+	return 1;
     }
-  origbuf = buf;
-  if (ntlmCheckHeader (&auth->hdr, NTLM_AUTHENTICATE))
-    {
+    origbuf = buf;
+    if (ntlmCheckHeader(&auth->hdr, NTLM_AUTHENTICATE)) {
 
-      fprintf (stderr, "ntlmDecodeAuth: header check fails\n");
-      return -1;
+	fprintf(stderr, "ntlmDecodeAuth: header check fails\n");
+	return -1;
     }
 /* only on when you need to debug
-    fprintf(stderr,"ntlmDecodeAuth: size of %d\n", size);
-    fprintf(stderr,"ntlmDecodeAuth: flg %08x\n", auth->flags);
-    fprintf(stderr,"ntlmDecodeAuth: usr o(%d) l(%d)\n", auth->user.offset, auth->user.len);
-*/
-  if ((p = ntlmGetString (&auth->hdr, &auth->domain, 2)) == NULL)
-    p = authenticate_ntlm_domain;
+ * fprintf(stderr,"ntlmDecodeAuth: size of %d\n", size);
+ * fprintf(stderr,"ntlmDecodeAuth: flg %08x\n", auth->flags);
+ * fprintf(stderr,"ntlmDecodeAuth: usr o(%d) l(%d)\n", auth->user.offset, auth->user.len);
+ */
+    if ((p = ntlmGetString(&auth->hdr, &auth->domain, 2)) == NULL)
+	p = authenticate_ntlm_domain;
 //      fprintf(stderr,"ntlmDecodeAuth: Domain '%s'.\n",p);
-  if ((s = strlen (p) + 1) >= size)
-    return 1;
-  strcpy (buf, p);
+    if ((s = strlen(p) + 1) >= size)
+	return 1;
+    strcpy(buf, p);
 //      fprintf(stdout,"ntlmDecodeAuth: Domain '%s'.\n",buf);
 
-  size -= s;
-  buf += (s - 1);
-  *buf++ = '\\';		/* Using \ is more consistent with MS-proxy */
-
-  p = ntlmGetString (&auth->hdr, &auth->user, 2);
-  if ((s = strlen (p) + 1) >= size)
-    return 1;
-  while (*p)
-    *buf++ = (*p++);		//tolower
-  *buf++ = '\0';
-  size -= s;
+    size -= s;
+    buf += (s - 1);
+    *buf++ = '\\';		/* Using \ is more consistent with MS-proxy */
+
+    p = ntlmGetString(&auth->hdr, &auth->user, 2);
+    if ((s = strlen(p) + 1) >= size)
+	return 1;
+    while (*p)
+	*buf++ = (*p++);	//tolower
+
+    *buf++ = '\0';
+    size -= s;
 //      fprintf(stderr, "ntlmDecodeAuth: user: %s%s\n",origbuf, p);
 
 
-  return 0;
+    return 0;
 }
 
 
 int
-main ()
+main()
 {
-  char buf[256];
-  char user[256], *p, *cleartext;
-  struct ntlm_challenge chal;
-  int len;
-  char *data = NULL;
-
-  setbuf (stdout, NULL);
-  while (fgets (buf, 256, stdin) != NULL)
-    {
-      user[0] = '\0';		/*no usercode */
+    char buf[256];
+    char user[256], *p, *cleartext;
+    struct ntlm_challenge chal;
+    int len;
+    char *data = NULL;
+
+    setbuf(stdout, NULL);
+    while (fgets(buf, 256, stdin) != NULL) {
+	user[0] = '\0';		/*no usercode */
 
-      if ((p = strchr (buf, '\n')) != NULL)
-	*p = '\0';		/* strip \n */
+	if ((p = strchr(buf, '\n')) != NULL)
+	    *p = '\0';		/* strip \n */
 #if defined(NTLMHELPPROTOCOLV3) || !defined(NTLMHELPPROTOCOLV2)
-      if        (strncasecmp (buf, "YR" ,2) == 0)
-        {
-            ntlmMakeChallenge (&chal);
-            len =
-                sizeof (chal) - sizeof (chal.pad) +
-                SSWAP (chal.target.maxlen);
-            data = (char *) base64_encode_bin ((char *) &chal, len);
-            printf ("TT %s\n", data);
-      } else if (strncasecmp (buf, "KK ",3) == 0) 
-      {
-          cleartext = (char *) uudecode (buf+3);
-          if (!ntlmCheckHeader ((struct ntlmhdr *) cleartext, NTLM_AUTHENTICATE))
-          {
-              if (!ntlmDecodeAuth((struct ntlm_authenticate *) cleartext, user, 256))
-              {
-                  lc (user);
-                  printf ("AF %s\n", user);
-              } else {
-                  lc (user);
-                  printf ("NA invalid credentials%s\n", user);
-              }
-          } else {
-              lc (user);
-              printf ("BH wrong packet type!%s\n", user);
-          }
-      }
+	if (strncasecmp(buf, "YR", 2) == 0) {
+	    ntlmMakeChallenge(&chal);
+	    len =
+		sizeof(chal) - sizeof(chal.pad) +
+		SSWAP(chal.target.maxlen);
+	    data = (char *) base64_encode_bin((char *) &chal, len);
+	    printf("TT %s\n", data);
+	} else if (strncasecmp(buf, "KK ", 3) == 0) {
+	    cleartext = (char *) uudecode(buf + 3);
+	    if (!ntlmCheckHeader((struct ntlmhdr *) cleartext, NTLM_AUTHENTICATE)) {
+		if (!ntlmDecodeAuth((struct ntlm_authenticate *) cleartext, user, 256)) {
+		    lc(user);
+		    printf("AF %s\n", user);
+		} else {
+		    lc(user);
+		    printf("NA invalid credentials%s\n", user);
+		}
+	    } else {
+		lc(user);
+		printf("BH wrong packet type!%s\n", user);
+	    }
+	}
 #endif
 #ifdef NTLMHELPPROTOCOLV2
 /* V2 of the protocol */
-      if (strncasecmp (buf, "RESET", 5) == 0)
-	{
-	  printf ("RESET OK\n");
-	}
-      else
-	{
-	  cleartext = (char *) uudecode (buf);
-	  if (!ntlmCheckHeader ((struct ntlmhdr *) cleartext, NTLM_NEGOTIATE))
-	    {
-	      ntlmMakeChallenge (&chal);
-	      len =
-		sizeof (chal) - sizeof (chal.pad) +
-		SSWAP (chal.target.maxlen);
-	      data = (char *) base64_encode_bin ((char *) &chal, len);
-	      printf ("CH %s\n", data);
-	    }
-	  else
-	    if (!ntlmCheckHeader
-		((struct ntlmhdr *) cleartext, NTLM_AUTHENTICATE))
-	    {
-	      if (!ntlmDecodeAuth
-		  ((struct ntlm_authenticate *) cleartext, user, 256))
-		{
-		  lc (user);
-		  printf ("OK %s\n", user);
-		}          else
-            {
-              lc (user);
-              printf ("ERR %s\n", user);
-            }
-	    }
-	  else
-	    {
-	      lc (user);
-	      printf ("ERR %s\n", user);
+	if (strncasecmp(buf, "RESET", 5) == 0) {
+	    printf("RESET OK\n");
+	} else {
+	    cleartext = (char *) uudecode(buf);
+	    if (!ntlmCheckHeader((struct ntlmhdr *) cleartext, NTLM_NEGOTIATE)) {
+		ntlmMakeChallenge(&chal);
+		len =
+		    sizeof(chal) - sizeof(chal.pad) +
+		    SSWAP(chal.target.maxlen);
+		data = (char *) base64_encode_bin((char *) &chal, len);
+		printf("CH %s\n", data);
+	    } else if (!ntlmCheckHeader
+		((struct ntlmhdr *) cleartext, NTLM_AUTHENTICATE)) {
+		if (!ntlmDecodeAuth
+		    ((struct ntlm_authenticate *) cleartext, user, 256)) {
+		    lc(user);
+		    printf("OK %s\n", user);
+		} else {
+		    lc(user);
+		    printf("ERR %s\n", user);
+		}
+	    } else {
+		lc(user);
+		printf("ERR %s\n", user);
 	    }
 	}
-#endif /*v2*/
+#endif /*v2 */
     }
-  exit (0);
+    exit(0);
 }
Index: squid/ntlm_auth_modules/fakeauth/ntlm.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/fakeauth/Attic/ntlm.h,v
retrieving revision 1.1.2.3.2.2
retrieving revision 1.1.2.3.2.3
diff -u -r1.1.2.3.2.2 -r1.1.2.3.2.3
--- squid/ntlm_auth_modules/fakeauth/ntlm.h	7 Jan 2001 02:49:32 -0000	1.1.2.3.2.2
+++ squid/ntlm_auth_modules/fakeauth/ntlm.h	7 Jan 2001 09:48:30 -0000	1.1.2.3.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ntlm.h,v 1.1.2.3.2.2 2001/01/07 02:49:32 rbcollins Exp $
+ * $Id: ntlm.h,v 1.1.2.3.2.3 2001/01/07 09:48:30 hno Exp $
  *
  * AUTHOR: Andy Doran <ad@netbsd.org>
  *
@@ -53,53 +53,53 @@
 
 /* Header proceeding each request */
 typedef struct ntlmhdr {
-	char	signature[8];	/* NTLMSSP */
-	int32_t	type;		/* One of NTLM_* from above */
+    char signature[8];		/* NTLMSSP */
+    int32_t type;		/* One of NTLM_* from above */
 } ntlmhdr;
 
 /* String header. String data resides at the end of the request */
 typedef struct strhdr {
-	int16_t	len;		/* Length in bytes */
-	int16_t	maxlen;		/* Allocated space in bytes */
-	int32_t	offset;		/* Offset from start of request */
+    int16_t len;		/* Length in bytes */
+    int16_t maxlen;		/* Allocated space in bytes */
+    int32_t offset;		/* Offset from start of request */
 } strhdr;
 
 /* Negotiation request sent by client */
 struct ntlm_negotiate {
-	ntlmhdr	hdr;		/* NTLM header */
-	int32_t	flags;		/* Request flags */
-	strhdr	domain;		/* Domain we wish to authenticate in */
-	strhdr	workstation;	/* Client workstation name */
-	char	pad[256];	/* String data */
+    ntlmhdr hdr;		/* NTLM header */
+    int32_t flags;		/* Request flags */
+    strhdr domain;		/* Domain we wish to authenticate in */
+    strhdr workstation;		/* Client workstation name */
+    char pad[256];		/* String data */
 };
 
 /* Challenge request sent by server. */
 struct ntlm_challenge {
-	ntlmhdr	hdr;		/* NTLM header */
-	strhdr	target;		/* Authentication target (domain/server ...) */
-	int32_t	flags;		/* Request flags */
-	u_char	challenge[8];	/* Challenge string */
-	int16_t	unknown[8];	/* Some sort of context data */
-	char	pad[256];	/* String data */
+    ntlmhdr hdr;		/* NTLM header */
+    strhdr target;		/* Authentication target (domain/server ...) */
+    int32_t flags;		/* Request flags */
+    u_char challenge[8];	/* Challenge string */
+    int16_t unknown[8];		/* Some sort of context data */
+    char pad[256];		/* String data */
 };
 
 /* Authentication request sent by client in response to challenge */
 struct ntlm_authenticate {
-	ntlmhdr	hdr;		/* NTLM header */
-	strhdr	lmresponse;	/* LANMAN challenge response */
-	strhdr	ntresponse;	/* NT challenge response */
-	strhdr	domain;		/* Domain to authenticate against */
-	strhdr	user;		/* Username */
-	strhdr	workstation;	/* Workstation name */
-	strhdr	sessionkey;	/* Session key for server's use */
-	int32_t flags;		/* Request flags */
-	char	pad[256*6];	/* String data */
+    ntlmhdr hdr;		/* NTLM header */
+    strhdr lmresponse;		/* LANMAN challenge response */
+    strhdr ntresponse;		/* NT challenge response */
+    strhdr domain;		/* Domain to authenticate against */
+    strhdr user;		/* Username */
+    strhdr workstation;		/* Workstation name */
+    strhdr sessionkey;		/* Session key for server's use */
+    int32_t flags;		/* Request flags */
+    char pad[256 * 6];		/* String data */
 };
 
-char	*ntlmGetString(ntlmhdr *hdr, strhdr *str, int flags);
-void	ntlmMakeChallenge(struct ntlm_challenge *chal);
-int	ntlmCheckHeader(struct ntlmhdr *hdr, int type);
-int	ntlmCheckNegotiation(struct ntlm_negotiate *neg);
-int	ntlmAuthenticate(struct ntlm_authenticate *neg);
+char *ntlmGetString(ntlmhdr * hdr, strhdr * str, int flags);
+void ntlmMakeChallenge(struct ntlm_challenge *chal);
+int ntlmCheckHeader(struct ntlmhdr *hdr, int type);
+int ntlmCheckNegotiation(struct ntlm_negotiate *neg);
+int ntlmAuthenticate(struct ntlm_authenticate *neg);
 
 #endif /* _NTLM_H_ */
Index: squid/src/HttpRequest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpRequest.c,v
retrieving revision 1.1.1.3.10.2.2.3
retrieving revision 1.1.1.3.10.2.2.4
diff -u -r1.1.1.3.10.2.2.3 -r1.1.1.3.10.2.2.4
--- squid/src/HttpRequest.c	5 Jan 2001 05:36:01 -0000	1.1.1.3.10.2.2.3
+++ squid/src/HttpRequest.c	7 Jan 2001 09:48:30 -0000	1.1.1.3.10.2.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.c,v 1.1.1.3.10.2.2.3 2001/01/05 05:36:01 rbcollins Exp $
+ * $Id: HttpRequest.c,v 1.1.1.3.10.2.2.4 2001/01/07 09:48:30 hno Exp $
  *
  * DEBUG: section 73    HTTP Request
  * AUTHOR: Duane Wessels
@@ -58,7 +58,7 @@
     if (req->body_connection)
 	clientAbortBody(req);
     if (req->auth_user_request)
-        authenticateAuthUserRequestUnlock(req->auth_user_request);
+	authenticateAuthUserRequestUnlock(req->auth_user_request);
     safe_free(req->canonical);
     stringClean(&req->urlpath);
     httpHeaderClean(&req->header);
